### Method

# Clutter Text set_text

#### Declaration [src]

    void
    clutter_text_set_text (
      ClutterText* self,
      const gchar* text
    )

#### Description [src]

Sets the contents of a `ClutterText` actor.

If the `ClutterText:use-markup` property was set to `TRUE` it will be reset to `FALSE` as a side effect. If you want to maintain the `ClutterText:use-markup` you should use the `clutter_text_set_markup()` function instead.

Sets property | `Clutter.Text:text`

#### Parameters

`text`

  Type: `const gchar*`

  The text to set. Passing `NULL` is the same as passing “” (the empty string).

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.